Subject: ethics of code usage

From: [email-masked]
Date: Tue, 16 Nov 1993 10:35:48 -0800

In my opinion, you should always, _always_ ask permission from the programmer
 before porting their code.  My policy has always been to go ahead and say
 "yes" but warn them that keeping their ported version updated is entirely
 their responsibility, not mine.

Some of my other code which other programmers might want to access on the
 same MOO can be pretty tick-intensive and I often won't allow those verbs
 to run when this!=caller since it causes all my tasks to slow down.

I guess you could rationalize software pirating by saying that if it's
 readable, it's public domain.  A lot of software companies have solved
 the problem by simply making their software far too complicated to easily
 copy.  I used the same technique on Schmoo.

--- Dov Sherman
    [email-masked]